﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace ObjectSearch
{
    public interface IPagedSearchResults<T> : IEnumerable<ISearchResultItem<T>>
    {
        int TotalResultItems { get; }
        int TotalPages { get; }
        int CurrentPageNumber { get; }
        int NumberOfItems { get; }


        IList<ISearchResultItem<T>> Results { get; }

        IPagedSearchResults<T> GetNextPage();
        IPagedSearchResults<T> GetPreviousPage();
        IPagedSearchResults<T> GetPage(int pageNumber);
    }
}
