﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObjectSearch
{
    public abstract class LuceneObjectSearchBase
    {
        /// <summary>
        /// A private field used to hold the value for Configuration property.
        /// </summary>
        private Configuration.Configuration _Configuration;

        public Configuration.Configuration Configuration
        {
            get
            {
                return _Configuration;
            }
        }

        /// <summary>
        /// A private field used to hold the value for IndexSettings property.
        /// </summary>
        private IndexSettings _IndexSettings;

        public IndexSettings IndexSettings
        {
            get
            {
                return _IndexSettings;
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="LuceneObjectSearchBase"/> class.
        /// </summary>
        /// <param name="settings">The <see cref="IndexSettings"/> that contains the components that you wish to use for lucene.net.</param>
        /// <param name="config">The <see cref="Configuration.Configuration"/> object that describes how objects will be indexed.</param>
        public LuceneObjectSearchBase(IndexSettings settings, Configuration.Configuration config)
        {
            _Configuration = config;
            _IndexSettings = settings;
        }
    }
}
